CVE-2010-0177

HIGH

Description

Mozilla Firefox before 3.0.19, 3.5.x before 3.5.9, and 3.6.x before 3.6.2, and SeaMonkey before 2.0.4, frees the contents of the window.navigator.plugins array while a reference to an array element is still active, which allows remote attackers to execute arbitrary code or cause a denial of service (application crash) via unspecified vectors, related to a "dangling pointer vulnerability."

References

http://lists.opensuse.org/opensuse-security-announce/2010-06/msg00001.html

http://secunia.com/advisories/38566

http://secunia.com/advisories/39117

http://secunia.com/advisories/39136

http://secunia.com/advisories/39240

http://secunia.com/advisories/39243

http://secunia.com/advisories/39308

http://secunia.com/advisories/39397

http://securitytracker.com/id?1023776

http://ubuntu.com/usn/usn-921-1

http://www.debian.org/security/2010/dsa-2027

http://www.mandriva.com/security/advisories?name=MDVSA-2010:070

http://www.mozilla.org/security/announce/2010/mfsa2010-19.html

http://www.redhat.com/support/errata/RHSA-2010-0332.html

http://www.redhat.com/support/errata/RHSA-2010-0333.html

http://www.securityfocus.com/archive/1/510540/100/0/threaded

http://www.vupen.com/english/advisories/2010/0748

http://www.vupen.com/english/advisories/2010/0764

http://www.vupen.com/english/advisories/2010/0765

http://www.vupen.com/english/advisories/2010/0781

http://www.vupen.com/english/advisories/2010/0849

http://www.zerodayinitiative.com/advisories/ZDI-10-049

https://bugzilla.mozilla.org/show_bug.cgi?id=538310

https://exchange.xforce.ibmcloud.com/vulnerabilities/57393

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A10833

https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A7622

Details

Source: MITRE

Published: 2010-04-05

Updated: 2018-10-30

Type: CWE-399

Risk Information

CVSS v2.0

Base Score: 9.3

Vector: AV:N/AC:M/Au:N/C:C/I:C/A:C

Impact Score: 10

Exploitability Score: 8.6

Severity: HIGH